
/* basics.css */

/* ... Debug ...
-----------------------------------------------*/
#_dev {
	position: fixed;
	top: 0;
	background-color: rgb(0 0 0 / .75);
	color: white;
	font-family: ui-monospace, SFMono-Regular, 'SF Mono', Menlo, 'Liberation Mono', Consolas, monospace;;
	padding: .2em;
	font-size: 14px;
	z-index: 2000000000;
}
._dev :is(header, footer) {
  display: none;
  padding-top: 0;
}
._dev #wrapper {
  padding-top: 0 !important;
}
/* ... Debug ... END
-----------------------------------------------*/



/* ... Basics ...
-----------------------------------------------*/
figure,
fieldset {
	margin: 0;
}
main figure.has_figcaption {
  position: relative;
  width: fit-content;
}
main figure.has_figcaption figcaption {
  position: absolute;
  bottom: 0;
	font-size: 0.7em;
  color: white;
  background-color: rgba(0 0 0 / .3);
  padding: .2em .3em;
}
main figure.has_figcaption figcaption {
	padding: .2em calc(.3em + 5px) calc(.2em + 5px);
	background-clip: content-box;
}
.image_container a,
.image_container img {
  display: block;
}
img,
figure {
  max-width: 100%;
  height: auto
}
.has_border > figure img,
.has_border > ul img,
.has_border > .teaser_wrapper figure img {
	box-sizing: border-box;
	border: 1px solid #ccc;
}
:focus,
:focus-visible {
	outline: none !important;
}
nav :focus {
	/* outline-offset: -4px; */
}
:active,
nav :active {
	outline: none;
}
/* ... Basics ... END
-----------------------------------------------*/



/* ... Classes ... 
-----------------------------------------------*/
.invisible {
  border: 0;
  clip: rect(0 0 0 0);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  width: 1px;
}
.print {
	display: none;
}
.block {
  /* overflow: hidden; */
}
.mod_article {
	position: relative;
	/* z-index: 0; */
}
/* ... Classes ... END
-----------------------------------------------*/



/* ... Print ...
-----------------------------------------------*/
@media print {
  .print {
    display: initial;
  }
  .noprint {
    display: none !important;
  }
}
/* ... Print ... END
-----------------------------------------------*/

